Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#147 Conversion rate drops at second file on multi-core

closed-out-of-date
MEncoder (43)
5
2013-02-20
2011-08-20
Jan-E
No

MEncoder Sherpya-SVN-r33883-4.2.5

Commandline:
mencoder -mc 1 -ofps 25 -demuxer lavf -vf scale=448:256,harddup -sws 1 -lavdopts fast:threads=%NUMBER_OF_PROCESSORS% \ -of lavf -lavfopts format=flv -ovc lavc -lavcopts vcodec=flv:vbitrate=336:keyint=25 \ -oac mp3lame -lameopts abr:br=96 -srate 44100 -af volnorm \ -o cx160sd.flv M2U00004.MPG M2U00005.MPG

Inputfiles: both 2GB Mpeg-2 video with AC3 audio (but it happens with other files as well).

Systems: duo or quad core with Win 7 Pro or Win 2008 R2 Web.

Symptom: conversion rate drops by a factor 4 on entering the second file.
Example: http://elijst.nl/mencdrop.gif (this is on a duo core).

Side effect: the next mencoder on the same system also starts at the same slow rate.
Workaround: start mencoder twice, the first one with -endpos 00:00:02 to get mencoder up to speed again
Workaround for the commandine above. Start mencoder 4 times:
1. -endpos 00:00:02 for the first file
2. the whole first file
3. -endpos 00:00:02 for the second file
4. the whole second file
Merge the 2 outputfiles with FLVbind.

Additional info: it does not happen on all multi-cores. A quad core with Win2k8 R2 SP1 did not drop the conversion speed, but a duo core with the same Win2k8 R2 SP1 dropped it. Another quad core machine with Win7 Pro however experienced the symptoms as well. All machines were 64-bit.

Discussion

  • Roger Pack
    Roger Pack
    2012-07-13

    What do you imagine to be causing this? Every other time it's slow?

     
    • Status: open --> closed-out-of-date